@charset "utf-8";
/* CSS Document */

* {
padding: 0;
margin: 0;
outline: none;
}


html,body {
	height: 100%;
	margin: 0px;
	padding: 0px;
    background: #fff;
  font-family: 'Montserrat','sans-serif';
  font-size: 19px;
  font-weight: 400;
  color: #fff;
  line-height: 25px;

}


@font-face {
  font-family: "Montserrat";
  src: url("/templates/optikw/fonts/Montserrat.woff") format("woff");
}



* {
padding: 0;
margin: 0;
outline: none;
box-sizing: border-box;
}

img {
display: block;
}

.team-member {
    text-align: center;
}


/********************** HEADER  ***********************/


#header {
	position: absolute;
    position: fixed;
    top: 0;
    left:0;
    width: 100%;
    height: 70px;
    background: #fff;
     z-index: 99999 !important;
}


#logo {
	position: absolute;
	top: 15px;
	left: 80px;
	width: 250px;
	height: auto;
  z-index: 99999 !important;

}


@media(max-width:900px) {
#logo {
	top: 20px;
	left: 25px;
	width: 233px;
	height: auto;
       	
	
    }
}


.logopic {
	width: 100%;
  max-width: 250px;
	height: auto;
	
}


@media(max-width:900px) {
.logopic {
	width: 100%;
  max-width: 200px;
	height: auto;
    	
	
    }
}

/********************** SUJET  ***********************/


.formular {
	position: absolute;
	top: 200px;
	right: 150px;
	width: 200px;
  height: auto;
  text-align: center;

}

@media(max-width:900px) {
.formular {
position: absolute;
	top: 80px;
	right: 45px;
	width: 150px;
  height: auto;
  text-align: center;
	
    }
}

/********************** NAVIGATION  ***********************/


#navigation {
	position: absolute;
	top: 37px;
	right: 85px;
	width: auto;
  height: 30px;
   background: transparent;
    text-align: right;

	
}

@media(max-width:1100px) {
#navigation {
position: absolute;
	top: 13px;
	right: 25px;
	width: 100%;
  height: auto;
  text-align: center;
  	
    }
}




/********************** CONTENT ***********************/

#content {
	position: relative;
	margin: 0;
	text-align: left;
	width: 100%;
	height: auto;
	padding: 0;
 
}


.container {
  display: grid;
  grid-template-columns: 2fr 3fr; /* 40:60 */
  gap: var(--gap, 24px);         /* frei einstellbar */
  max-width: 1300px;
  margin: 0 auto;                /* zentrieren */
  padding: 0;               /* optional */
  
}

/* Responsive: unter 768px → 1 Spalte */
@media (max-width: 900px) {
  .container {
    grid-template-columns: 1fr;
  }

  .left {
    order: 2;
  }

  .right {
    order: 1;
  }
}

.container-kontakt {
  display: grid;
  grid-template-columns: 1fr 1fr; /* 50:50 */
  gap: var(--gap, 24px);         /* frei einstellbar */
  max-width: 1100px;
  margin: 0 auto;                /* zentrieren */
  padding: 0;               /* optional */
  
}

/* Responsive: unter 768px → 1 Spalte */
@media (max-width: 900px) {
  .container-kontakt {
    grid-template-columns: 1fr;
  }
}

.heading {
	position: relative;
	margin: 0 auto 0;
	text-align: left;
	width: 100%;
  max-width: 1300px;
	height: auto;
	padding-bottom: 60px;
  box-sizing: border-box;
 
}

@media(max-width:900px) {
.heading {
padding-bottom: 30px;
	
    }
}


.pic {
	width: 100%;
	height: auto;
	 
}

.pic-team {
	width: 100%;
  max-width: 400px;
	height: auto;
  display: inline !important;
	 
}


.container-impressum {
	position: relative;
  padding: 100px 25px 30px 25px; 
  box-sizing: border-box;
  margin: 0 auto 0;
  width: 100%;
  max-width: 1300px;
	height: auto;
	 
}



/********************** LINKS ***********************/

a:link,
a:visited {
  color: inherit;
  text-decoration: underline;
  font-family: 'Montserrat';
}

a:hover,
a:active {
  color: #1A4836;
  text-decoration: underline;
}

a:focus {
  outline-width: 2px;
  outline-style: dashed;
  outline-color: #ff0000 !important;
}

.button-formular:focus {
  outline-width: 2px;
  outline-style: dashed;
  outline-color: #ff0000 !important;
}

/********************** HEADLINES ***********************/


.slogan-container {
  display: grid;
  place-items: center;
  height: 100vh;
}


.slogan {
  font-family: 'Montserrat', sans-serif;
  font-weight: 800;
  font-size: calc(4.2vw + 2.5vh);
  line-height: 1.2em;
  color: #1B3111;
  text-align: center;
  padding: 30px 20px 30px 20px;
  box-sizing: border-box;
   
 /* Initial State */
  opacity: 0;
  transform: translateY(10px);
  filter: blur(30px);

  /* Animationen */
  animation: reveal 1.0s ease-out forwards,
             flow 3s linear 1 1.0s;

  /* Gradient (Energy Flow) */
  background: linear-gradient(90deg, #1B3111, #2f5a1f, #4f8a2f, #1B3111);
  background-size: 200%;
  -webkit-background-clip: text;
  -webkit-text-fill-color: transparent;
}

@keyframes reveal {
  to {
    opacity: 1;
    transform: translateY(0);
    filter: blur(0);
  }
}

@keyframes flow {
  to {
    background-position: 200%;
  }
}


@media(max-width:900px) {
.slogan {
font-size: calc(5vw + 3vh);
	
    }
}
/********************** BACKGROUNDS ***********************/

.hero-bg {
  background-image: url('../images/hero-background.png');
  background-size: cover;
  background-position: center center;
  background-repeat: no-repeat;
  width: 100%;
  height: 100vh;

}

.strom-gas-bg {
  background-image: url('../images/strom-gas-bg.png');
  background-size: cover;
  background-position: left center;
  background-repeat: no-repeat;
  width: 100%;
  height: auto;
  padding: 80px 25px 80px 25px;
}

@media(max-width:900px) {
.strom-gas-bg {
background-position: -100px center;
  padding: 40px 25px 40px 25px;
  background-size: cover;
	
    }
}

.netzgebuehr-bg {
  background-image: url('../images/netzgebuehr-bg.png');
  background-size: cover;
  background-position: left center;
  background-repeat: no-repeat;
  width: 100%;
  height: auto;
  padding: 80px 25px 80px 25px;

}

@media(max-width:900px) {
.netzgebuehr-bg {
background-position: -50px center;
  padding: 40px 25px 40px 25px;
	
    }
}


.tarif-bg {
  background-image: url('../images/tarif-bg.png');
  background-size: cover;
  background-position: left center;
  background-repeat: no-repeat;
  width: 100%;
  height: auto;
  padding: 80px 25px 80px 25px;

}

@media(max-width:900px) {
.tarif-bg {
background-position: -50px center;
  padding: 40px 25px 40px 25px;
	
    }
}


.ablauf-bg {
  background-image: url('../images/ablauf-bg.png');
  background-size: cover;
  background-position: left center;
  background-repeat: no-repeat;
 width: 100%;
  height: auto;
  padding: 80px 25px 80px 25px;
 

}

@media(max-width:900px) {
.ablauf-bg {
background-position: -50px center;
   padding: 40px 25px 40px 25px;
	
    }
}


.kontakt-bg {
  background-image: url('../images/kontakt-bg.png');
  background-size: cover;
  background-position: left center;
  background-repeat: no-repeat;
  width: 100%;
  height: auto;
  padding: 80px 25px 80px 25px;

}

@media(max-width:900px) {
.kontakt-bg {
background-position: -50px center;
   padding: 40px 25px 40px 25px;
	
    }
}


.imp-bg {
  position: fixed;
  top: 0;
  left: 0;
  background-image: url('../images/hero-background.png');
  background-size: cover;
  background-position: center center;
  background-repeat: no-repeat;
  width: 100%;
  height: 100vH;

}

/********************** FOOTER ***********************/

#footer {
	position: relative;
	margin: 0;
	text-align: left;
	width: 100%;
	height: auto;
  min-height: 50px;
	background:  #6CA58E;
  padding: 10px 40px 0px 20px;
  box-sizing: border-box;
  font-size: 15px;
	
}

.footer-content {
	position: relative;
	margin: 0 auto 0;
	text-align: right;
	width: 100%;
	height: auto;
  	
}


@media(max-width:900px) {
.footer-content {
text-align: center;
	
    }
}


/********************** HEADLINES ***********************/

h1 {
	font-family: 'Montserrat';
    font-weight: 700;
  font-size: 3.0em;
  line-height: 1.0em;
  text-align: left;
 	
}

@media(max-width:900px) {
h1 {
font-size: 1.8em;
  line-height: 1.0em;
	
    }
}


h2 {
	font-family: 'Montserrat';
    font-weight: 700;
  font-size: 1.3em;
  line-height: 1.4em;
  text-align: left;
  color: #fff;
  padding-bottom: 12px;
 	
}

@media(max-width:900px) {
h2 {
font-size: 1.1em;
  line-height: 1.2em;
	
    }
}


h3 {
	font-family: 'Montserrat';
  font-weight: 700;
  font-size: 1.2em;
  line-height: 1.4em;
  text-align: left;
  color: #fff;
  padding-bottom: 12px;
 	
}

@media(max-width:900px) {
h32 {
font-size: 0.8em;
  line-height: 1.2em;
	
    }
}

.uk-scope h3 {
	font-family: 'Montserrat' !important;
  font-weight: 700 !important;
  color: #5B4113 !important;
  font-size: 1.2em !important;
  line-height: 1.4em !important;
  text-align: left;
  padding-bottom: 12px !important;
 	
}

@media(max-width:900px) {
.uk-scope h3 {
font-size: 1.2em !important;
  line-height: 1.2em !important;
	
    }
}


/********************** FARBEN ***********************/

.violett {
  color: #29025A;

}

.dunkelblau {
  color: #1A335B;

}

.braun {
  color: #5B4113;

}

.blau
{
  color: #28356D;

}

.gruen
{
  color: #1A4836;

}

/********************** BUTTONS ***********************/


.button-strom {
    background-color: #29025A;
    text-decoration: none !important;
    font-family: 'Montserrat', sans-serif;
  font-weight: 600;
    color: #fff !important;
    border-radius: 20px;
    padding: 12px 30px 12px 30px;
    font-size: 18px;
    cursor: pointer;
    transition: background-color 0.3s ease;
    white-space: nowrap;
    margin-top: 20px;
    z-index: 99999 !important;
  width: fit-content;
}

.button-strom:hover {
    background-color: #532E81;
    color: #fff !important;
}

.button-netz {
    background-color: #1A335B;
    text-decoration: none !important;
    font-family: 'Montserrat', sans-serif;
  font-weight: 600;
    color: #fff !important;
    border-radius: 20px;
    padding: 12px 30px 12px 30px;
    font-size: 18px;
    cursor: pointer;
    transition: background-color 0.3s ease;
    white-space: nowrap;
    margin-top: 20px;
    z-index: 99999 !important;
  width: fit-content;
}

.button-netz:hover {
    background-color: #4A6797;
    color: #fff !important;
}

.button-tarif {
    background-color: #5B4113;
    text-decoration: none !important;
    font-family: 'Montserrat', sans-serif;
  font-weight: 600;
    color: #fff !important;
    border-radius: 20px;
    padding: 12px 30px 12px 30px;
    font-size: 18px;
    cursor: pointer;
    transition: background-color 0.3s ease;
    white-space: nowrap;
    margin-top: 20px;
    z-index: 99999 !important;
  width: fit-content;
}

.button-tarif:hover {
    background-color: #855F1C;
    color: #fff !important;
}

.button-ziel {
    background-color: #5B4113;
    text-decoration: none !important;
    font-family: 'Montserrat', sans-serif;
  font-weight: 600;
    color: #fff !important;
    border-radius: 20px;
    padding: 12px 30px 12px 30px;
    font-size: 18px;
    cursor: pointer;
    transition: background-color 0.3s ease;
    white-space: nowrap;
    margin-top: 20px;
    z-index: 99999 !important;
  width: fit-content;
}

.button-ziel:hover {
    background-color: #3F53A5;
    color: #fff !important;
}


.button-formular {
    background-color: #28356D;
    text-decoration: none !important;
    font-family: 'Montserrat', sans-serif;
  font-weight: 600;
    color: #fff !important;
    border-radius: 20px;
    padding: 12px 30px 12px 30px;
    font-size: 18px;
    cursor: pointer;
    transition: background-color 0.3s ease;
    white-space: nowrap;
    margin-top: 20px;
    z-index: 99999 !important;
  width: fit-content;
}

.button-formular:hover {
    background-color: #3F509A;
    color: #fff !important;
}


.button-cta {
    background-color: #1B3111;
    text-decoration: none !important;
    font-family: 'Montserrat', sans-serif;
  font-weight: 600;
    color: #fff !important;
    border-radius: 20px;
    padding: 12px 50px 12px 50px;
    font-size: 18px;
    cursor: pointer;
    transition: background-color 0.3s ease;
    white-space: nowrap;
    margin-top: 20px;
    width: fit-content;
   animation: pulseLift 2s ease-in-out infinite;
  margin-bottom: 50px;
}

.button-cta:hover {
    background-color: #669342;
    color: #fff !important;
  
}

@keyframes pulseLift {
  0%   { transform: scale(1) translateY(0); }
  50%  { transform: scale(1.05) translateY(-3px); }
  100% { transform: scale(1) translateY(0); }
}

/********************** LISTE ***********************/

.list-bg {
  width: 100%;
  height: auto;
  background: #28356D;
  border-radius: 20px;
  padding: 15px 20px 15px 20px;
}


.item {
  display: flex;
  align-items: flex-start;
  gap: 16px;
}

.nummer {
  font-size: 48px;
  font-weight: 700;
  line-height: 1;
  flex-shrink: 0;
  width: 30px;
}

.text {
  flex: 1;
  font-size: 0.8em;
   line-height: 1.2em;
}

/********************** SWITCHER ***********************/


.uk-scope .uk-subnav > * {
  flex: none;
  padding-left: 7px !important;
  position: relative;
}

.uk-scope .uk-subnav-pill > .uk-active > a {
  background-color: #5B4113 !important;
  color: #fff;
  border-radius: 10px !important;
  padding: 7px 13px 7px 13px !important;
  font-weight: 700 !important;
  border: none !important;
}

.uk-scope .uk-subnav-pill > * > :first-child {
  padding: 7px 13px 7px 13px !important;
  background: 0 0;
  color: #fff !important;
  border: 1px solid #fff !important;
  border-radius: 10px !important;
  font-weight: 700 !important;
}


.uk-scope .uk-subnav-pill > * > :first-child:hover {
  padding: 7px 13px 7px 13px !important;
  background-color: #5B4113;
  color: #fff !important;
  border: 1px solid #5B4113 !important;
  border-radius: 10px !important;
  font-weight: 700 !important;
}

.uk-scope .uk-panel {
  background: #eee5d5 !important;
  border-radius: 20px !important;
  padding: 20px !important;
  color: #5B4113 !important;
  box-sizing: border-box !important;
  line-height: 1.5em;
}

.uk-scope .uk-subnav {
  margin-left: -10px !important;
}

